org.apache.jmeter.report.core

## Class DataContext

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.TreeMap<String,Object>
    - - org.apache.jmeter.report.core.DataContext

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,Object>, NavigableMap<String,Object>, SortedMap<String,Object>

    public class DataContext
    extends TreeMap<String,Object>

The class DataContext provides a map to store data for reports generation.

Since:
  3.0
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`DataContext()`

### Method Summary

### Methods inherited from class java.util.TreeMap

`ceilingEntry, ceilingKey, clear, clone, comparator, containsKey, containsValue, descendingKeySet, descendingMap, entrySet, firstEntry, firstKey, floorEntry, floorKey, forEach, get, headMap, headMap, higherEntry, higherKey, keySet, lastEntry, lastKey, lowerEntry, lowerKey, navigableKeySet, pollFirstEntry, pollLastEntry, put, putAll, remove, replace, replace, replaceAll, size, subMap, subMap, tailMap, tailMap, values`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, isEmpty, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, equals, getOrDefault, hashCode, isEmpty, merge, putIfAbsent, remove`

### Constructor Detail

#### DataContext

    public DataContext()